Skip to main content
PUT
Update a server group

Headers

X-Network-ID
string
required

Network ID

X-Network-Credential
string
required

Network Credential (network password or JWT)

Query Parameters

server_group_id
string
required

Server Group ID

Body

application/json

Server group details

Request to update an existing server group

active
boolean
Example:

true

deployment
object

Deployment configuration for a server group

max_memory
integer
Example:

2048

max_players
integer
Example:

50

min_memory
integer
Example:

1024

name
string
Example:

"lobby"

priority
integer
Example:

10

properties
object
scaling
object

Scaling configuration for server groups

source
object

Source configuration for server groups

tags
string[]
type
enum<string>
Available options:
SERVER,
PROXY
Example:

"SERVER"

workflows
object

Workflows configuration for server groups

Response

OK

Response for updating a server group

active
boolean
Example:

true

created_at
string
Example:

"2023-01-01T12:00:00Z"

deployment
object

Deployment configuration for a server group

max_memory
integer
Example:

2048

max_players
integer
Example:

50

min_memory
integer
Example:

1024

name
string
Example:

"lobby"

priority
integer
Example:

10

properties
object
scaling
object

Scaling configuration for server groups

server_group_id
string
Example:

"123e4567-e89b-12d3-a456-426614174000"

source
object

Source configuration for server groups

tags
string[]
type
string
Example:

"SERVER"

updated_at
string
Example:

"2023-01-01T12:00:00Z"

workflows
object

Workflows configuration for server groups